From 12cff951bb9ee24bab2f09793d3e3917b8649f36 Mon Sep 17 00:00:00 2001
From: John Tsiombikas <nuclear@member.fsf.org>
Date: Sat, 2 Apr 2022 01:17:41 +0300
Subject: [PATCH] fix no-x11 build: some new functions were erroneously
 declared inside the USE_X11 conditional block.

---
 src/spnav.c | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/src/spnav.c b/src/spnav.c
index a444fb2..41fd559 100644
--- a/src/spnav.c
+++ b/src/spnav.c
@@ -50,14 +50,6 @@ OF SUCH DAMAGE.
 static Window get_daemon_window(Display *dpy);
 static int catch_badwin(Display *dpy, XErrorEvent *err);
 
-static int read_event(int s, spnav_event *event);
-static int proc_event(int *data, spnav_event *event);
-
-static void flush_resp(void);
-static int wait_resp(void *buf, int sz, int timeout_ms);
-static int request(int req, struct reqresp *rr, int timeout_ms);
-static int request_str(int req, char *buf, int bufsz, int timeout_ms);
-
 
 static Display *dpy;
 static Window app_win;
@@ -73,6 +65,15 @@ enum {
 #define IS_OPEN		(sock != -1)
 #endif
 
+static int read_event(int s, spnav_event *event);
+static int proc_event(int *data, spnav_event *event);
+
+static void flush_resp(void);
+static int wait_resp(void *buf, int sz, int timeout_ms);
+static int request(int req, struct reqresp *rr, int timeout_ms);
+static int request_str(int req, char *buf, int bufsz, int timeout_ms);
+
+
 struct event_node {
 	spnav_event event;
 	struct event_node *next;
